summaryrefslogtreecommitdiff
path: root/mail/simscan/scripts/configure
diff options
context:
space:
mode:
authorRoman Bogorodskiy <novel@FreeBSD.org>2005-04-03 16:04:21 +0000
committerRoman Bogorodskiy <novel@FreeBSD.org>2005-04-03 16:04:21 +0000
commit3ada00cdc32a4fce947f69aab0bfc008fa67d03f (patch)
tree70e514671a0139b6e6cc2748ad13ff015352d2c1 /mail/simscan/scripts/configure
parent- Update to 0.7.3 (diff)
Add simscan - a good, simple, and fast qmail scanner, which works with
SpamAssassin/ClamAV, written in C. PR: 78629[1], 79135[2] Submitted by: Anton Karpov <toxa@toxahost.ru> [1], Cristiano Deana <cris@gufi.org> [2]
Diffstat (limited to '')
-rw-r--r--mail/simscan/scripts/configure36
1 files changed, 36 insertions, 0 deletions
diff --git a/mail/simscan/scripts/configure b/mail/simscan/scripts/configure
new file mode 100644
index 000000000000..d502120cd0b5
--- /dev/null
+++ b/mail/simscan/scripts/configure
@@ -0,0 +1,36 @@
+#!/bin/sh
+#
+# $FreeBSD$
+
+USER=simscan
+GROUP=${USER}
+UID=74
+GID=${UID}
+
+echo adding simscan user
+
+
+ if pw group show "${GROUP}" 2>/dev/null; then
+ echo "You already have a group \"${GROUP}\", so I will use it."
+ else
+ if pw groupadd ${GROUP} -g ${GID}; then
+ echo "Added group \"${GROUP}\"."
+ else
+ echo "Adding group \"${GROUP}\" failed..."
+ exit 1
+ fi
+ fi
+
+
+ if pw user show "${USER}" 2>/dev/null; then
+ echo "You already have a user \"${USER}\", so I will use it."
+ else
+ if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
+ -d /nonexistent -s /sbin/nologin -c "Simscan User"
+ then
+ echo "Added user \"${USER}\"."
+ else
+ echo "Adding user \"${USER}\" failed..."
+ exit 1
+ fi
+ fi